extends CanvasLayer

@export var rgb := Color8(0x3f,0x26,0x31):
	set(new_val):
		rgb = new_val
		%ColorRect.material.set("shader_parameter/vignette_rgb", new_val)
		
@export_range(0, 5) var intensity := 0.3:
	set(new_val):
		intensity = new_val
		%ColorRect.material.set("shader_parameter/vignette_intensity", new_val)

func _ready() -> void:
	layer = GlobalConfig.CANVAS_LAYER_VIGNETTE
